# $Id: opencdk.spec,v 1.11 2007/02/03 23:33:48 ensc Exp $

%{!?release_func:%global release_func() %1%{?dist}}

Summary:	Provides basic parts of the OpenPGP message format
Name:		opencdk
Version:	0.5.13
Release:	%release_func 1

License:	GPL
Group:		System Environment/Libraries
URL:		http://www.gnu.org/software/gnutls/download.html
Source0:	ftp://ftp.gnutls.org/pub/gnutls/opencdk/%name-%version.tar.gz
Source1:	ftp://ftp.gnutls.org/pub/gnutls/opencdk/%name-%version.tar.gz.sig
BuildRoot:	%_tmppath/%name-%version-%release-buildroot
BuildRequires:	libgcrypt-devel zlib-devel perl

%package devel
Summary:	Files which are needed to develop applications using opencdk
Group:		Development/Libraries
Requires:	%name = %version-%release
Requires:	libgcrypt-devel zlib-devel pkgconfig


%description
This library provides basic parts of the OpenPGP message format.  For
reference, please read RFC2440. Due to some possible security problems,
the library also implements parts of draft-ietf-openpgp-rfc2440bis-06.txt.

The aim of the library is *not* to replace any available OpenPGP version.
There will be no real support for key management (sign, revoke, alter
preferences, ...) and some other parts are only rudimentary available. The
main purpose is to handle and understand OpenPGP packets and to use basic
operations. For example to encrypt/decrypt or to sign/verify and packet
routines.


%description devel
This library provides basic parts of the OpenPGP message format.  For
reference, please read RFC2440. Due to some possible security problems,
the library also implements parts of draft-ietf-openpgp-rfc2440bis-06.txt.

This package contains headerfiles and libraries which are needed to
develop applications based on opencdk.


%prep
%setup -q


%build
%configure
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

sed -i -e 's!^\(opencdk_libs=\).*!\1-lopencdk!;
           s!^\(opencdk_cflags=\).*!\1!' src/opencdk-config


%check
make check


%install
rm -rf "$RPM_BUILD_ROOT"
make DESTDIR="$RPM_BUILD_ROOT" install

rm -f $RPM_BUILD_ROOT%_libdir/*.la


%clean
rm -rf "$RPM_BUILD_ROOT"


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README* THANKS TODO
%_libdir/*.so.*


%files devel
%defattr(-,root,root,-)
%doc doc/DETAILS doc/*.html
%_bindir/*-config
%_includedir/*
%_libdir/*.a
%_libdir/*.so
%_libdir/*/*.pc


%changelog
* Sun Feb  4 2007 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0.5.13-1
- updated to 0.5.13
- build with '-Wl,--as-needed' and removed superfluous libs from the
  opencdk-config tool

* Sun Nov  5 2006 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0.5.11-1
- updated to 0.5.11
- added pkgconfig file

* Fri Sep 15 2006 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0.5.9-1
- updated to 0.5.9

* Sat Feb 18 2006 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0.5.8-1
- updated to 0.5.8
- removed unneeded curlies
- removed epoch in the -devel requirement
- use commands directly instead of the %%__XXX macros

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.5.5
- rebuild on all arches

* Thu May 19 2005 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0.5.5-3
- added %%dist tag

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Feb  9 2005 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0.5.5-1
- updated to 0.5.5
- minor spec cleanups

* Wed May 26 2004 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0:0.5.4-0.fdr.0.1
- updated to 0.5.4

* Fri Dec 12 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0:0.5.3-0.fdr.1
- updated to 0.5.3

* Thu Nov 20 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0:0.5.1-0.fdr.1
- updated to 0.5.1

* Tue Jun 10 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0.4.5-0.fdr.1
- Initial build.
